Skip to main content
PUT
Error

Authorizations

Authorization
string
header
required

We use JWT Tokens for the authorization. Please add an 'Authorization' header for a request. Generate a valid JWT token using user credentials. See Auth - Token section. The value should contain the following:
'Bearer GENERATED_TOKEN'

Path Parameters

id
string
required

Body

The updated Order resource

Class Order

order_id
string
required

The unique shop order ID. Used as ID for the resource

order_url
string

The shop URL (a domain from which the order was created.)

order_date
string<date-time>
boarding_complete
boolean

A flag shows whether all order shipments are created

language
string
order_tags
string[]
Example:
promised_delivery_date
string<date-time>

Response

Order resource updated

Class Order

order_id
string
required

The unique shop order ID. Used as ID for the resource

order_url
string

The shop URL (a domain from which the order was created.)

order_date
string<date-time>
boarding_complete
boolean

A flag shows whether all order shipments are created

state
string
Example:

"new"

language
string
states_history
string[]
Example:
order_tags
string[]
Example:
promised_delivery_date
string<date-time>
tracking_page_url
string